LIGHTNING-SHOWRUNES(7)

NAME

lightning-showrunes -- Command to list previously generated runes

SYNOPSIS

showrunes [rune]

DESCRIPTION

The showrunes RPC command either lists runes that we stored as we generate them (see lightning-createrune(7)) or decodes the rune given on the command line.

RETURN VALUE

On success, an object containing runes is returned. It is an array of objects, where each object contains:

•   rune (string): Base64 encoded rune

•   unique_id (string): Unique id assigned when the rune was generated; this is always a u64 for commando runes

•   restrictions (array of objects): The restrictions on what commands this rune can authorize:

    •   alternatives (array of objects):

    •   fieldname (string): The field this restriction applies to; see commando-rune(7)

    •   value (string): The value accepted for this field

    •   condition (string): The way to compare fieldname and value

    •   english (string): English readable description of this alternative

    •   english (string): English readable summary of alternatives above

•   restrictions_as_english (string): English readable description of the restrictions array above

•   stored (boolean, optional): This is false if the rune does not appear in our datastore (only possible when rune is specified) (always false)

•   blacklisted (boolean, optional): The rune has been blacklisted; see commando-blacklist(7) (always true)

•   last_used (number, optional): The last time this rune was successfully used (added 23.11)

•   our_rune (boolean, optional): This is not a rune for this node (only possible when rune is specified) (always false)

AUTHOR

Shahana Farooqui <sfarooqui@blockstream.com> is mainly responsible.

SEE ALSO

lightning-commando-showrunes(7), lightning-blacklistrune(7)

RESOURCES

Main web site: https://github.com/ElementsProject/lightning